<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: SCLIB_CARD_INFO_T Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle"><div class="title">SCLIB_CARD_INFO_T Struct Reference<div class="ingroups"><a class="el" href="../../dc/df9/group___n_a_n_o1_x2___library.html">NANO102/112 Library</a> &raquo; <a class="el" href="../../d7/d89/group___n_a_n_o1_x2___s_c_l_i_b.html">Smartcard Library</a> &raquo; <a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html">Smartcard Library Exported Constants</a> &raquo; <a class="el" href="../../d7/d66/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html">Smartcard Library Exported Structs</a></div></div></div>
</div><!--header-->
<div class="contents">

<p>A structure holds smartcard information.  
 <a href="../../dc/d00/struct_s_c_l_i_b___c_a_r_d___i_n_f_o___t.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ga0994b8d92dadc1ca0864e0093ce03a81"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0994b8d92dadc1ca0864e0093ce03a81">T</a></td></tr>
<tr class="memdesc:ga0994b8d92dadc1ca0864e0093ce03a81"><td class="mdescLeft">&#160;</td><td class="mdescRight">Protocol, ether <a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga55cce06161110dc2a75423459dff8392">SCLIB_PROTOCOL_T0</a> or <a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaceb47970d665912809b843c7adb9dd28">SCLIB_PROTOCOL_T1</a>.  <a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0994b8d92dadc1ca0864e0093ce03a81">More...</a><br /></td></tr>
<tr class="separator:ga0994b8d92dadc1ca0864e0093ce03a81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae888a7b4d9e7d8b69d75d34e283453db"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae888a7b4d9e7d8b69d75d34e283453db">ATR_Len</a></td></tr>
<tr class="memdesc:gae888a7b4d9e7d8b69d75d34e283453db"><td class="mdescLeft">&#160;</td><td class="mdescRight">ATR length, between SCLIB_MAX_ATR_LEN and SCLIB_MIN_ATR_LEN.  <a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae888a7b4d9e7d8b69d75d34e283453db">More...</a><br /></td></tr>
<tr class="separator:gae888a7b4d9e7d8b69d75d34e283453db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga72d0445931ac9c168004661d4156897e"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72d0445931ac9c168004661d4156897e">ATR_Buf</a> [<a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa7f3f1bc4269ed63239302e94d200611">SCLIB_MAX_ATR_LEN</a>]</td></tr>
<tr class="memdesc:ga72d0445931ac9c168004661d4156897e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Buffer holds ATR answered by smartcard.  <a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72d0445931ac9c168004661d4156897e">More...</a><br /></td></tr>
<tr class="separator:ga72d0445931ac9c168004661d4156897e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >A structure holds smartcard information. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00093">93</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>SmartcardLib/Include/<a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:33 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
